Category::Plugin

mapプラグインで、閲覧制限対象ページ名まで表示される

メッセージ

map.inc.phpは、現状では閲覧制限の対象となっているページまで表示してしまいますが、「サイトマップ」的な使い方を前提とするならば、閲覧制限対象ページは表示すべきではないですね。

もっとも、PukiWikiのプラグインの中では、かなり重い部類のプラグインなので、実際に「サイトマップ」的使い方をしていないとは思いますが。

あまり重要なプラグインでもないだろうということで、優先順位は低くしておきます。


--- map.inc.php.orig	Mon Jan 10 16:45:20 2005
+++ map.inc.php	Mon Jan 10 16:57:07 2005
@@ -17,6 +17,7 @@
 function plugin_map_action()
 {
 	global $vars, $whatsnew, $defaultpage;
+	global $non_list;
 
 	$reverse = isset($vars['reverse']);
 	$refer   = isset($vars['refer']) ? $vars['refer'] : '';
@@ -27,6 +28,7 @@
 	$retval['body'] = '';
 
 	$pages = array_values(array_diff(get_existpages(), array($whatsnew)));
+	$pages = array_diff($pages, preg_grep('/' . $non_list . '/', $pages));
 
 	$count = count($pages);
 	if ($count == 0) {


*1 最近気づいた (^^;
*2 ということは、話は続く・・・?

トップ   編集 凍結 差分 バックアップ 添付 複製 名前変更 リロード   新規 一覧 検索 最終更新   ヘルプ   最終更新のRSS
Last-modified: 2005-01-12 (水) 23:10:14
Site admin: PukiWiki Development Team

PukiWiki 1.5.3+ © 2001-2020 PukiWiki Development Team. Powered by PHP 5.6.40-0+deb8u12. HTML convert time: 0.138 sec.

OSDN